Delete Card Hierarchy
This operation deletes a specific card hierarchy. If the hierarchy is active, use the force query parameter to allow deletion.
DELETE
/
v1
/
card-hierarchies
/
{cardHierarchyId}
Delete Card Hierarchy
curl --request DELETE \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/hierarchy/v1/card-hierarchies/{cardHierarchyId}' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/hierarchy/v1/card-hierarchies/{cardHierarchyId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/hierarchy/v1/card-hierarchies/{cardHierarchyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Card hierarchy id
Query Parameters
Whether to allow deletion of active hierarchy or not
The audit user to log the request
Response
Successful deletion of the card hierarchy
Was this page helpful?
⌘I
Delete Card Hierarchy

